package com.backendsys.modules.system.service;

import com.backendsys.modules.system.entity.*;
import jakarta.servlet.http.HttpServletResponse;

import java.io.IOException;
import java.util.List;
import java.util.Map;

public interface SysAuthService {

    void renderCaptcha(HttpServletResponse response) throws IOException;
    Map<String, Object> checkCaptchaRequired(String username);
    List<SysMobileArea> getMobileAreaList(SysMobileArea sysMobileArea);

    SysUserInfo login(SysAuth sysAuth);
    SysUserInfo loginWithPhone(SysAuthPhone sysAuthPhone);

    Map<String, Object> register(SysUserDTO sysUserDTO);
    Map<String, Object> forgotPassword(SysUserDTO sysUserDTO);
    Map<String, Object> logout();
}
